WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: SpaceFM will not run with latest Bash extension in tc-9.x  (Read 307 times)

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 2691
SpaceFM will not run with latest Bash extension in tc-9.x
« on: March 27, 2018, 10:32:46 PM »
It's probably the latest Bash update, will recompile spacefm and recheck asap.

meanwhile the previous version still works fine

Online Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 10103
Re: SpaceFM will not run with latest Bash extension in tc-9.x
« Reply #1 on: March 27, 2018, 11:07:18 PM »
I'd guess that it's due to a recursive dependency on ncurses.

bash depends on readline, which was recompiled against ncursesw - spacefm probably has a direct dependency on ncurses, rather than via bash/readline.

If the above is correct, it would be good if you could recompile against ncursesw and also include adwaita-icon-theme as a dep rather than the depreciated gnome-icon-theme.

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 2691
Re: SpaceFM will not run with latest Bash extension in tc-9.x
« Reply #2 on: March 28, 2018, 10:32:59 AM »
Thanks for the info,  meanwhile restoring the previous BASH version fixed the current issue

time for an update..


Sent from my iPhone using Tapatalk

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 2691
Re: SpaceFM will not run with latest Bash extension in tc-9.x
« Reply #3 on: April 05, 2018, 08:35:43 AM »
SpaceFM is working as expected after updating with latest Bash Extension.
 ;D